{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python: Facedetect",
            "type": "python",
            "request": "launch",
            "program": "${workspaceFolder}/facedetect/app/main.py",
            "console": "integratedTerminal"
        },
        {
            "type": "node",
            "request": "launch",
            "name": "Launch NoctBot",
            "program": "${workspaceFolder}/bot/src/main.ts",
            "preLaunchTask": "tsc-build",
            "cwd": "${workspaceFolder}/bot",
            "outFiles": [
                "${workspaceFolder}/bot/build/**/*.js"
            ],
            "env": {
                "NODE_ENV": "dev"
            },
            "outputCapture": "std"
        },
        {
            "type": "node",
            "request": "launch",
            "name": "Launch WebServer",
            "program": "${workspaceFolder}/web/node_modules/sapper/dist/cli.js",
            "args": [
                "dev"
            ],
            "cwd": "${workspaceFolder}/web",
            "autoAttachChildProcesses": true
        }
    ],
    "compounds": [
        {
            "name": "Bot+WebServer",
            "configurations": [
                "Launch NoctBot",
                "Launch WebServer"
            ]
        },
        {
            "name": "Bot+Facedetect",
            "configurations": [
                "Launch NoctBot",
                "Python: Facedetect"
            ]
        }
    ]
}